/* Adding variables */
@import url("../../css/variables.css");

.inner-page-menu__main-container {
    width: var(--full);
    max-width: var(--full);
    padding-top: var(--l-spacing);
    margin: 0 auto;
}

.inner-page-menu__inner-container {
    display: flex;
    flex-direction: column;
    width: var(--width);
    padding: 0;
    margin: 0 auto;
    background: var(--neowhite);
    border-radius: 55px;
}

.inner-page-menu__inner-container .inner-page-menu__menu-items {
    display: flex;
    justify-content: center;
    row-gap: var(--s-spacing);
    flex-wrap: wrap;
    width: var(--width);
    margin: 0 auto;
}

.inner-page-menu__menu-items a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 120px;
    font-size: var(--blocknav);
    font-weight: var(--light);
    line-height: var(--lh-2);
    text-align: center;
    color: var(--neopaleblue);
    background-color: transparent;
    padding: var(--s-spacing) var(--m-spacing);
    margin: 0;
    border-radius: 55px;
    box-sizing: content-box;
    transition: font-weight 0.3s ease, color 0.3s ease;
}

.inner-page-menu__menu-items a:hover {
    font-weight: var(--regular);
    background-color: transparent;
}

.inner-page-menu__menu-items .inner-pages__menu-item.active {
    font-weight: var(--regular);
    background-color: var(--neodarkblue);
    color: white;
}

.inner-page-content__main-container {
    display: flex;
    flex-direction: column;
    padding: 0;
    margin: 0 auto;
    min-height: 200px;
    opacity: 1;
    transition: opacity 0.3s ease;
}

.inner-page-content__main-container.loading {
    opacity: 0;
}

/**********************************************/
/******************* Laptop *******************/
/**********************************************/
@media (max-width: 1366px) {
    
}

/**********************************************/
/******************* Tablet *******************/
/**********************************************/
@media (max-width: 1024px) {
    .inner-page-menu__inner-container {
        width: calc((var(--full) - (var(--m-spacing) * 2)));
        padding: var(--l-spacing) var(--m-spacing);
    }
}

/**********************************************/
/******************* Mobile *******************/
/**********************************************/
@media (max-width: 767px) {
    .inner-page-menu__inner-container {
        width: calc((var(--full) - (var(--s-spacing) * 2)));
        padding: var(--m-spacing) var(--s-spacing);
    }

    .inner-page-menu__menu-items a {
        max-width: var(--half);
    }
}